org.keycloak.protocol.saml

## Class SamlService.PostBindingProtocol

- java.lang.Object
- - org.keycloak.protocol.saml.SamlService.BindingProtocol
  - - org.keycloak.protocol.saml.SamlService.PostBindingProtocol

- Enclosing class:
    SamlService

      protected class SamlService.PostBindingProtocol
      extends SamlService.BindingProtocol

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.protocol.saml.SamlService.BindingProtocol

      `redirectToAuthentication`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PostBindingProtocol()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `containsUnencryptedSignature(SAMLDocumentHolder documentHolder)`
    `protected String` | `encodeSamlDocument(Document samlDocument)`
    `protected SAMLDocumentHolder` | `extractRequestDocument(String samlRequest)`
    `protected SAMLDocumentHolder` | `extractResponseDocument(String response)`
    `protected String` | `getBindingType()`
    `protected void` | `verifySignature(SAMLDocumentHolder documentHolder, ClientModel client)`

    - ### Methods inherited from class org.keycloak.protocol.saml.SamlService.BindingProtocol

      `basicChecks, execute, execute, getBindingType, getExpectedDestinationUri, handleArtifact, handleSamlRequest, handleSamlResponse, isDestinationRequired, loginRequest, logoutRequest`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PostBindingProtocol

          protected PostBindingProtocol()

  - ### Method Detail

    - #### encodeSamlDocument

          protected String encodeSamlDocument(Document samlDocument)
                                       throws ProcessingException

      Specified by:
        `encodeSamlDocument` in class `SamlService.BindingProtocol`
      Throws:
        `ProcessingException`

    - #### verifySignature

          protected void verifySignature(SAMLDocumentHolder documentHolder,
                                         ClientModel client)
                                  throws VerificationException

      Specified by:
        `verifySignature` in class `SamlService.BindingProtocol`
      Throws:
        `VerificationException`

    - #### containsUnencryptedSignature

          protected boolean containsUnencryptedSignature(SAMLDocumentHolder documentHolder)

      Specified by:
        `containsUnencryptedSignature` in class `SamlService.BindingProtocol`

    - #### extractRequestDocument

          protected SAMLDocumentHolder extractRequestDocument(String samlRequest)

      Specified by:
        `extractRequestDocument` in class `SamlService.BindingProtocol`

    - #### extractResponseDocument

          protected SAMLDocumentHolder extractResponseDocument(String response)

      Specified by:
        `extractResponseDocument` in class `SamlService.BindingProtocol`

    - #### getBindingType

          protected String getBindingType()

      Specified by:
        `getBindingType` in class `SamlService.BindingProtocol`

Copyright © 2021 JBoss by Red Hat. All rights reserved.